Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf
Class AgentSystemInfo

    java.lang.Object
      |
      +--com.ibm.maf.AgentSystemInfo

All Implemented Interfaces:
  java.io.Serializable

public final class AgentSystemInfo
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `agent_system_description`
`Name` | `agent_system_name`
`short` | `agent_system_type`
`LanguageMap[]` | `language_maps`
`short` | `major_version`
`short` | `minor_version`
`java.lang.Object[]` | `properties`

Constructor Summary
`AgentSystemInfo()`
`AgentSystemInfo(Name __agent_system_name, short __agent_system_type, LanguageMap[] __language_maps, java.lang.String __agent_system_description, short __major_version, short __minor_version, java.lang.Object[] __properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### agent_system_name

    public Name agent_system_name

### agent_system_type

    public short agent_system_type

### language_maps

    public LanguageMap[] language_maps

### agent_system_description

    public java.lang.String agent_system_description

### major_version

    public short major_version

### minor_version

    public short minor_version

### properties

    public java.lang.Object[] properties

Constructor Detail

### AgentSystemInfo

    public AgentSystemInfo()

### AgentSystemInfo

    public AgentSystemInfo(Name __agent_system_name,
                           short __agent_system_type,
                           LanguageMap[] __language_maps,
                           java.lang.String __agent_system_description,
                           short __major_version,
                           short __minor_version,
                           java.lang.Object[] __properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD